{*novyVyrobce*}
<button class="btn btn-success" data-bs-toggle="modal" data-bs-target="#novyVyrobceModal">
    <i class="fa-solid fa-plus me-2"></i>Přidat
</button>
{*modal nový výrobce*}
<form n:name=novyVyrobceForm>
    <div class="modal fade" id="novyVyrobceModal">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-success text-white">
                    <h5 class="modal-title mb-0">Nový výrobce</h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <label class="form-label">Název výrobce</label>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-pen"></i></span>
                        <input n:name="nazev" class="form-control" placeholder="Název výrobce">
                    </div>
                    <hr>
                    <label class="form-label">Logo</label>
                    <div class="input-group mb-3">
                        <span class="input-group-text"><i class="fas fa-image"></i></span>
                        <input n:name="logo" class="form-control logo-novy-vyrobce">
                    </div>
                    <div class="d-flex justify-content-center p-3" id="logo-vyrobce-preview"></div>
                </div>
                <div class="modal-footer">
                    <a href="#" class="btn btn-outline-secondary" data-bs-dismiss="modal">Zavřít</a>
                    <button n:name="send" class="btn btn-success"><i class="fas fa-save me-2"></i>Uložit</button>
                </div>
            </div>
        </div>
    </div>
</form>
<script>
    $(document).ready(function(){
        $('.logo-novy-vyrobce').change(function(){
            $("#logo-vyrobce-preview").html('');
            for (var i = 0; i < $(this)[0].files.length; i++) {
                $("#logo-vyrobce-preview").append('<img src="'+window.URL.createObjectURL(this.files[i])+'" class="img-fluid" style="max-height: 4rem; max-width: 75%"/>');
            }
        });
    });
</script>